Namespace
library
Image / Tag
consul:1.2.1
Content Digest
sha256:72c164f31ef155b397f7ea81263bc8dce147a7b0489b493f4b558990fe2d8a22
Details
Created

2018-07-13 10:39:13 UTC

Size

16.5 MB

Content Digest
Environment
CONSUL_VERSION

1.2.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:381c1d4107a4401d75b916e6dc4331efddc01adac41f49eeaa711ab898606a1a - 12.26% (2.03 MB)

[#001] sha256:061a9db3c9e4f3bc32618a5f1a7e2b8aefb20fcc48f8be709bc7f7eabe61d003 - 0.0% (175 Bytes)

[#002] sha256:05ba2fd30b0ba3a1b278071e7b0d67a5f632f175ddec455016ed9bd02dbe2b38 - 0.01% (1.22 KB)

[#003] sha256:2912115c4bab7602de36c2b0c0e12b1d07b6ceca4e978e0ebc4f2c4c41c5abfc - 87.72% (14.5 MB)

[#004] sha256:80c9bd121194f983a3ed3928d41e08a064bd2ff36d72cfd4023b5015e0c8e5af - 0.0% (141 Bytes)

[#005] sha256:0e84fe5b9b9ba56d185d5eb8fc32ba85a6c319ee5d949a0850870a62d81f00b6 - 0.0% (153 Bytes)

[#006] sha256:62082e11665b6b3533705f5665ddc106cb2cb98abf62ece355e3f3cc9754a878 - 0.01% (1.64 KB)


History
2018-06-01 06:57:26 UTC

/bin/sh -c #(nop) ADD file:614c07101e677db9a4118a71c852a2be45a337d94c5bedfb48ae8c4cad21d625 in /

2018-06-01 06:57:26 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-06-01 06:57:26 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-06-01 07:13:33 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-07-13 10:38:58 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.1

2018-07-13 10:38:59 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-07-13 10:38:59 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-07-13 10:39:10 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-07-13 10:39:11 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-07-13 10:39:12 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-07-13 10:39:12 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-07-13 10:39:12 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-07-13 10:39:12 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-07-13 10:39:13 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-07-13 10:39:13 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-07-13 10:39:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-07-13 10:39:13 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-07-12 21:19:53 UTC

Size

17.9 MB

Content Digest
Environment
CONSUL_VERSION

1.2.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:911c6d0c7995e5d9763c1864d54fb6deccda04a55d7955123a8e22dd9d44c497 - 11.23% (2.01 MB)

[#001] sha256:69d095810cb1a08e757ee84a7a3104657a07b36d82cff94f6e28935ec274fe56 - 0.01% (1.22 KB)

[#002] sha256:950384e6796201bdb27b021052c119c8a87e0c5ea305427dffdc6e925c29ada1 - 88.76% (15.9 MB)

[#003] sha256:fd3f821cba5ada04840b22a77e304291134af12e37d2f46174603be1a5c3998a - 0.0% (143 Bytes)

[#004] sha256:ec3445822d3d2c7fac0ad864e2ea44e933ab34ecbc748590b47d49a302702303 - 0.0% (154 Bytes)

[#005] sha256:d068c336a1c797868d98b907c0ec20bf07dffb672d91d5298e935aa53e82ef60 - 0.01% (1.64 KB)


History
2018-07-06 14:13:45 UTC

/bin/sh -c #(nop) ADD file:6ee19b92d5cb1bf143947fe2e2481cb3b353d42e1e54888a8ba48c03dd4155f2 in /

2018-07-06 14:13:45 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-07-06 15:37:33 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-07-12 21:19:41 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.1

2018-07-12 21:19:41 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-07-12 21:19:42 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-07-12 21:19:50 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-07-12 21:19:51 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-07-12 21:19:52 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-07-12 21:19:52 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-07-12 21:19:52 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-07-12 21:19:52 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-07-12 21:19:53 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-07-12 21:19:53 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-07-12 21:19:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-07-12 21:19:53 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-07-13 08:40:16 UTC

Size

16 MB

Content Digest
Environment
CONSUL_VERSION

1.2.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b78042c299ad99d1e646b18762d4bc22a84c4f88e5bb491ea6293a10f53ddf79 - 11.89% (1.9 MB)

[#001] sha256:6fd45b97b6c2a3ac869ae5c99e087e97bc29714b165180e06f0c9116f400f2dd - 0.0% (175 Bytes)

[#002] sha256:d5c6d7d6fd5c8afc6df1857d735a11bcd4e90037b6b5d4f660199f68a419ae0c - 0.01% (1.22 KB)

[#003] sha256:17f414eff8eb2e10ee130a5bc3fdcafa1406499009063b96ce9db570f07354be - 88.09% (14.1 MB)

[#004] sha256:58d741b77c369ff5348276b2d82538f5ac49da7e7c7066f7c82b8b69bf1decd8 - 0.0% (143 Bytes)

[#005] sha256:d03b3222a10f475792821420c7cc71de6e84a6ad44ab59a1e0600a36815c0cd9 - 0.0% (153 Bytes)

[#006] sha256:cec62c2c7450a02dc33bdb99c2ca67a77b7a1483f9ad639c0c1e1a56adf09ea6 - 0.01% (1.64 KB)


History
2017-12-01 18:42:42 UTC

/bin/sh -c #(nop) ADD file:a6ef3cbbb1c0e5dfc6c3e41d70fd93e548594d9cb42c067e52df46d418c10a79 in /

2017-12-01 18:42:42 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2017-12-01 18:42:43 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-05-12 08:39:33 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-07-13 08:39:48 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.1

2018-07-13 08:39:49 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-07-13 08:39:52 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-07-13 08:40:04 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-07-13 08:40:06 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-07-13 08:40:09 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-07-13 08:40:10 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-07-13 08:40:11 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-07-13 08:40:12 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-07-13 08:40:13 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-07-13 08:40:14 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-07-13 08:40:15 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-07-13 08:40:16 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]